Subject: Re: [PATCH] mv: let 'git mv file no-such-dir/' error out

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Dec 2013 09:44:22 -0800

Duy Nguyen <[email-masked]> writes:

> On Wed, Dec 4, 2013 at 3:44 PM, Matthieu Moy
> <[email-masked]> wrote:
>> Duy Nguyen <[email-masked]> writes:
>>
>>> On Tue, Dec 3, 2013 at 3:32 PM, Matthieu Moy <[email-masked]> wrote:
>>> There's something we probably should check. In d78b0f3 ([PATCH]
>>> git-mv: add more path normalization - 2006-08-16), it mentions about
>>>
>>> git mv something/ somewhere/
>>>
>>> there's no test in that commit so I don't know the actual input and
>>> expected outcome.
>>
>> To me, the expected outcome is "behave like Unix's mv" (which works with
>> or without the trailing slash if somewhere exists).
>>
>>> If "somewhere" is a directory, it errors out with this patch and works
>>> without it.
>>
>> I can't reproduce. I've added this to my patch (indeed, the area wasn't
>> well tested), and the tests pass.
>
> Now I can't either. Probably some mis-setups or some local bugs in my
> tree. Good that we have more tests.

OK, I was also scratching my head after seeing your response.

It seems that t7001 needs some face-lifting, by the way.  Perhaps
after this patch solidifies.